
#ifndef __ACTUATORS_
#define __ACTUATORS_

#define STEPS_FOR_360        1300.0

#define STEPS_COMPENSATE_LT 2
#define STEPS_COMPENSATE_RT 2
#define STEPS_COMPENSATE_FW 3
#define BOUNDARY 20

#include "Maze.h"
#include "carldrive.h"

TCellInfo getPercept();

void turn(double angle);
void move(double distance);
void forward(double distance);

#endif
