
#ifndef __QUEUE_H__
#define __QUEUE_H__

//
// definicie typov
//
typedef struct QueueItem TQueueItem;
struct QueueItem {
  unsigned int data;
  TQueueItem *next;
};

typedef struct Queue TQueue;
struct Queue {
  TQueueItem *head, *tail;
};

//
// definicie funkcii
//
void queueInitialize(TQueue *queue);
int queueIsEmpty(TQueue *queue);
void queueAdd(TQueue *queue, unsigned int item);
unsigned int queuePop(TQueue *queue);
void queueFreeItems(TQueue *queue);

#endif
