#include "e_compass.h"
#include "../library/I2C/e_I2C_protocol.h"

void e_init_compass() {
  e_i2cp_init();
}

void e_read_compass(unsigned char data[]) {
  char error = 0;
  char value;
  while (!error) {
	error = 1;
	error &= e_i2c_start();
	error &= e_i2c_write(0x32);  
	error&=e_i2c_write(0x50);     	
	error&=e_i2c_restart();
	error&=e_i2c_write(0x33);

    // citanie
    unsigned int i;
    for (i = 0; i < 6; i++) {
	  error &= e_i2c_read(&value);
      data[i] = value;
      if (i < 5) {
        error&=e_i2c_ack();
      }
	}
	e_i2c_nack();						
	e_i2c_stop();             			
	if (error) break;
	e_i2c_reset();
  }
/*





  data[0]  = e_i2cp_read(0x32, 0x50);
  data[1]  = e_i2cp_read(0x32, 0x51);
  data[2]  = e_i2cp_read(0x32, 0x52);
  data[3]  = e_i2cp_read(0x32, 0x53);
  data[4]  = e_i2cp_read(0x32, 0x54);
  data[5]  = e_i2cp_read(0x32, 0x55);*/
}
