
#ifndef __STACK_H__
#define __STACK_H__

#include "Maze.h"

//
// definicie typov
//
typedef struct StackItem TStackItem;
struct StackItem {
  TDirection data;
  TStackItem *next;
};

typedef struct Stack TStack;
struct Stack {
  TStackItem *head;
};

//
// definicie funkcii
//
void stackInitialize(TStack *stack);
int stackIsEmpty(TStack *stack);
void stackPush(TStack *stack, TDirection item);
TDirection stackPop(TStack *stack);
void stackFreeItems(TStack *stack);

#endif
